﻿/*.item-short-icon {
    box-sizing: border-box;
    width: 100px;
    height: 100px;
    left: 5px;
    top: 5px;
    filter: drop-shadow(5px 5px 3px rgb(0 0 0 / 70%));
}*/

.details {
    /*display: none;*/
    z-index: 1000;
    
    max-width: min-content;
    white-space: pre-wrap;

    display: block;
    position: absolute;
    
    right: 0;
    margin: auto;

    /*margin-left: 100px;*/
    /*left: 25%;*/
    
}

.item-container:hover > .details {
    display: block;
    position: fixed;
    margin-left: 100px;
    left: 25%;
    z-index: 1000;
}

.doll .item-container .pd5 {
    padding: 0;
}

.doll .background-wrapper div.inner-container {
    width: 40px;
    height: 40px;
}

.buffs .background-wrapper div.inner-container {
    width: 50px;
    height: 50px;
}

.doll .item-container .overlay {
    width: 40px;
    height: 40px;
}

.item-container {
    margin: 5px;
    position: relative;
}

.prevent-select span {
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.background-wrapper {
    background-size: 70px;
    filter: drop-shadow(5px 5px 3px rgb(0 0 0 / 70%));
    background-repeat: no-repeat;
}

.inner-container {
    width: 70px;
    height: 70px;
}

.doll .background-wrapper {
    background-size: 40px;
    background-color: #4e4e4e;
    box-shadow: 0 0 4px 2px black;
}

.buffs .background-wrapper {
    background-size: 50px;
}

.last-items .item-container {
    width: 70px;
    height: 70px;
}

.last-items .background-wrapper {
    background-size: 70px;
}

.last-items div.inner-container {
    width: 70px;
    height: 70px;
}

.last-items .item-container .overlay {
    width: 70px;
    height: 70px;
}

.buffs .item-container.buff .overlay {
    width: 50px;
    height: 50px;
}

.item-container .overlay {
    display: none;
    position: absolute;
    width: 70px;
    height: 70px;
    opacity: 50%;
}

        .item-container .overlay.not-fit {
            background: linear-gradient(90deg, red, rgba(0,0,0,0.6474964985994398) 66%);
            display: block;
            box-shadow: 0 0px 12px 4px rgb(255 0 0);
            -webkit-box-shadow: 0 0px 12px 4px rgb(255 0 0);
            -moz-box-shadow: 0 0px 12px 4px rgb(255 0 0);
        }

        .item-container .overlay.equip-fit {
            background: linear-gradient(90deg, rgb(255 255 0), rgba(0,0,0,0.6474964985994398) 66%);
            display: block;
            box-shadow: 0 0px 12px 4px rgb(255 255 0);
            -webkit-box-shadow: 0 0px 12px 4px rgb(255 255 0);
            -moz-box-shadow: 0 0px 12px 4px rgb(255 255 0);
        }

        .item-container .overlay.enchanted:not(.not-fit):not(equip-fit) {
            background: linear-gradient(90deg, rgb(0 125 255), rgba(0,0,0,0.6474964985994398) 66%);
            display: block;
            box-shadow: 0 0px 12px 4px rgb(0 125 255);
            -webkit-box-shadow: 0 0px 12px 4px rgb(0 125 255);
            -moz-box-shadow: 0 0px 12px 4px rgb(0 125 255);
        }

    .item-container span.item-name {
        /*white-space: nowrap;*/
        display: inline-block;
        width: 100px;
        overflow: hidden;
        text-overflow: ellipsis;
        /*text-align: center;*/
    }
